# Class: RangeQuery

## helma.Search.RangeQuery(field, from, to, inclusive)

Instances of this class represent a range query, wrapping a Lucene RangeQuery instance.

## Constructor

#### new RangeQuery(field, from, to, inclusive)

Constructs a new helma.Search.RangeQuery instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`field` | String | The name of the field
`from` | String | The minimum value to match (can be null)
`to` | String | The maximum value to match (can be null)
`inclusive` | Boolean | If true the given min/max values are included

Source:
  - helma/Search.js, line 1009

##### Returns:

A newly created RangeQuery instance

### Extends

- helma.Search.Query

### Members

#### query :org.apache.lucene.search.RangeQuery

Contains the wrapped RangeQuery instance

##### Type:

- org.apache.lucene.search.RangeQuery

Overrides:
  - helma.Search.Query#query
Source:
  - helma/Search.js, line 1020

### Methods

#### getBoost()

Returns the boost factor of this query.

Inherited From:
  - helma.Search.Query#getBoost
Source:
  - helma/Search.js, line 845

#### getQuery()

Returns the wrapped Lucene Query object.

Inherited From:
  - helma.Search.Query#getQuery
Source:
  - helma/Search.js, line 832

##### Returns:

The wrapped query object

#### setBoost(fact)

Sets the boost factor of this query clause to the given number. Documents matching this query will have their score multiplied with the given factor

##### Parameters:

Name | Type | Description
--- | --- | ---
`fact` | Number | The factor to multiply the score of matching documents with.

Inherited From:
  - helma.Search.Query#setBoost
Source:
  - helma/Search.js, line 857